CommonParams.h File Reference
`#include <string>`

Go to the source code of this file.

## Classes

class | CommonParams

## Functions

void | addCommonParams (CliParams &params)
void | addDebugParam (CliParams &params)
void | extractCliValues (CommonParams &common, const CliParams &cli)

## Function Documentation

## addCommonParams()

void addCommonParams | ( | CliParams & | params | ) |

Definition at line 55 of file CommonParams.cpp.

## addDebugParam()

void addDebugParam | ( | CliParams & | params | ) |

Definition at line 45 of file CommonParams.cpp.

## extractCliValues()

void extractCliValues | ( | CommonParams & | common,
|  | const CliParams & | cli )

Definition at line 59 of file CommonParams.cpp.